package com.sheep.gamegroup.model.entity;

import java.io.Serializable;

/**
 * Created by realicing on 2018/11/27.
 * realicing@sina.com
 * 小绵羊3.4.5新增 -- 发现视频
 * <p>
 * update_time:	integer ($int64)
 * resource_type:	integer ($int32)
 * 资源类型（1视频，2图片）
 * topic_id:	integer ($int64)
 * 话题id
 * is_like:	boolean
 * 是否点赞
 * resource:	string
 * 视频图片资源，逗号分隔
 * topic:	string
 * 话题
 * user_id:	integer ($int64)
 * 用户id
 * create_time:	integer ($int64)
 * status:	integer ($int32)
 * 状态（1通过，2不通过，3未审核）
 * invitation_code:	string
 * 绵羊号
 * duration:	integer ($int64)
 * 视频时长
 * play:	integer ($int64)
 * 播放数
 * like:	integer ($int64)
 * 点赞数
 * cover:	string
 * 视频封面
 * title:	string
 * 主题
 * id:	integer ($int64)
 * sort:	integer ($int64)
 * 序号，越小越靠前
 * comment:	integer ($int64)
 * 评论数
 * share:	integer ($int64)
 * 分享数
 * avatar:	string 头像
 */
public class DiscoveryVideo implements Serializable {
    private int comment;

    private String cover;

    private int create_time;

    private long duration;

    private int id;

    private String invitation_code;

    private boolean is_like;

    private int like;

    private int play;

    private String resource;

    private int resource_type;

    private int share;

    private int sort;

    private int status;

    private String title;

    private String topic;

    private int topic_id;

    private int update_time;

    private int user_id;

    private String avatar;

    private boolean is_focus_user;

    public void setComment(int comment){
        this.comment = comment;
    }
    public int getComment(){
        return this.comment;
    }
    public void setCover(String cover){
        this.cover = cover;
    }
    public String getCover(){
        return this.cover;
    }
    public void setCreate_time(int create_time){
        this.create_time = create_time;
    }
    public int getCreate_time(){
        return this.create_time;
    }
    public void setDuration(long duration){
        this.duration = duration;
    }
    public long getDuration(){
        return this.duration;
    }
    public void setId(int id){
        this.id = id;
    }
    public int getId(){
        return this.id;
    }
    public void setInvitation_code(String invitation_code){
        this.invitation_code = invitation_code;
    }
    public String getInvitation_code(){
        return this.invitation_code;
    }
    public void setIs_like(boolean is_like){
        this.is_like = is_like;
    }
    public boolean getIs_like(){
        return this.is_like;
    }
    public void setLike(int like){
        this.like = like;
    }
    public int getLike(){
        return this.like;
    }
    public void setPlay(int play){
        this.play = play;
    }
    public int getPlay(){
        return this.play;
    }
    public void setResource(String resource){
        this.resource = resource;
    }
    public String getResource(){
        return this.resource;
    }
    public void setResource_type(int resource_type){
        this.resource_type = resource_type;
    }
    public int getResource_type(){
        return this.resource_type;
    }
    public void setShare(int share){
        this.share = share;
    }
    public int getShare(){
        return this.share;
    }
    public void setSort(int sort){
        this.sort = sort;
    }
    public int getSort(){
        return this.sort;
    }
    public void setStatus(int status){
        this.status = status;
    }
    public int getStatus(){
        return this.status;
    }
    public void setTitle(String title){
        this.title = title;
    }
    public String getTitle(){
        return this.title;
    }
    public void setTopic(String topic){
        this.topic = topic;
    }
    public String getTopic(){
        return this.topic;
    }
    public void setTopic_id(int topic_id){
        this.topic_id = topic_id;
    }
    public int getTopic_id(){
        return this.topic_id;
    }
    public void setUpdate_time(int update_time){
        this.update_time = update_time;
    }
    public int getUpdate_time(){
        return this.update_time;
    }
    public void setUser_id(int user_id){
        this.user_id = user_id;
    }
    public int getUser_id(){
        return this.user_id;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public boolean isIs_like() {
        return is_like;
    }

    public boolean isIs_focus_user() {
        return is_focus_user;
    }

    public void setIs_focus_user(boolean is_focus_user) {
        this.is_focus_user = is_focus_user;
    }
}
